Intereting Posts
Не удается открыть каталог рабочего стола Как получить собственное разрешение монитора? Не удалось выполнить ping на любых хостах, ifconfig: eth0 connection Как загрузить / купить музыку? Существует ли какой-либо Ubuntu 16.04, который поддерживает по умолчанию собственный графический драйвер AMD? Я пытаюсь установить TF2 с пара, но он не позволит мне установить, потому что у меня всего 220 Мб (но у меня более 50 концертов? как я могу создать запись в меню для GRUB, которая загружает ubuntu в режиме консоли? Как установить MongoDB 3.0 в Vivid? Skype 4.3 IM не отображает прикрепленные фотографии Почему Единство называется Unity? «Cx h» и «Cxh» означают то же самое в Emacs? Как включить экспериментальные закругленные углы? Как я могу заставить Ubuntu распознавать размер диска, на котором он включен? Есть ли способ полностью отключить рабочие области и удалить значок из моей панели Unity-2D? Как изменить английский язык по умолчанию?

Ошибка JRE при попытке установить Matlab Compiler Runtime

Еще раз, я потратил много времени, пытаясь заставить что-то работать без успеха. Я хочу установить MATLAB Compiler Runtime на моем Ubuntu 13.04, где MATLAB не установлен. Вот что я сделал: я загрузил 64-битную версию Linux R2012b (8.0)

http://www.mathworks.com/products/compiler/mcr/index.html?s_cid=BB .

Затем я перешел в папку и попытался установить через

sudo ./install чтобы получить следующее сообщение:

Error: Cannot locate Java Runtime Environment (JRE). The directory /home/konni/Downloads/MCR_R2012b_glnxa64_installer/sys/java/jre/glnx86/jre does not exist.

И это действительно не существует, но существует папка с «glnxa86» вместо «glnx86». Я бы просто не хотел его переименовывать.

У меня есть JRE, установленный на моей машине, кстати:

java version "1.7.0_25" OpenJDK Runtime Environment (IcedTea 2.3.10) (7u25-2.3.10-1ubuntu0.13.04.2) OpenJDK Server VM (build 23.7-b01, mixed mode)

Я совершенно не понимаю, что делать. Проблемы, которые я нашел с помощью Google, не помогли мне …

Может, у вас есть идея? Я бы очень признателен за любую помощь! 🙂

Если единственная проблема заключается в нахождении JRE, тогда переключение командной строки -javadir позволит вам сделать следующее:

./install -javadir / usr / lib / jvm / java-7-openjdk-i386 / jre /

У меня была такая же проблема. Проблема в том, что вы устанавливаете 64-битную матрицу на 32-разрядную ubuntu. используйте 32-битную матрицу и установите ее в 32-разрядную версию ubuntu. используйте 64-битную матрицу и установите ее в 64-разрядную версию ubuntu. Пожалуйста, ответьте, если это было полезно.

У меня была такая же проблема в последнее время при установке программного обеспечения, которое требовало 7.13 MCR на Ubuntu 17.10.

В этом

https://www.linuxquestions.org/questions/linux-newbie-8/matlab-7-5-compiled-runtime-for-64-bit-linux-installation-no-jre-error-838281/

Я обнаружил, что 32-разрядная версия устанавливается отлично, и это произошло, но, очевидно, это не решило мою проблему.

Однако я нашел способ сделать это. Фокус в том, что установщик нуждается в старой JRE (1.5) и не будет работать с JDK 8.

Итак, первый шаг – запустить

 ./MCRInstaller.bin -is:extract 

это создаст директорию с именем istemp … что-то, для меня istemp23732345211606.

Ls

jre1.5.0-linux-amd64.bin JVMNotFound.txt setup.jar Verify.jar

Заманчиво запустить setup.jar напрямую, попробовать, но с Java 8 у меня появилось следующее сообщение об ошибке:

Не удалось загрузить мастер, указанный в файле /wizard.inf (104)

Но, возможно, это сработает для вас. Люди, получившие вышеупомянутую ошибку с помощью wizard.inf, должны смотреть дальше, потому что установщику нужен JDK 5 для запуска.

Я решил не использовать пакетную версию, но загрузил JDK 5 из Oracle. В комплекте версия может работать, я не пытался.

Вы можете скачать JDK 5 здесь: http://www.oracle.com/technetwork/java/javasebusiness/downloads/java-archive-downloads-javase5-419410.html#jdk-1.5.0_22-oth-JPR

Извлеките загруженный архив (chmod + x bin и запустите), затем скопируйте файлы в / usr / lib / jvm / java5

Переименуйте jdk1.5.0_022 или что-нибудь в jdk1.5.0, чтобы сделать его простым.

Исправить атрибуты:

 sudo chmod a+x /usr/bin/java sudo chmod a+x /usr/bin/javac sudo chmod a+x /usr/bin/javaws sudo chown -R root:root /usr/lib/jvm/java5/jdk1.5.0 

Затем выполните:

 sudo update-alternatives --install "/usr/bin/java" "java" "/usr/lib/jvm/java5/jdk1.5.0/bin/java" 1 sudo update-alternatives --install "/usr/bin/javac" "javac" "/usr/lib/jvm/java5/jdk1.5.0/bin/javac" 1 

Теперь вы выбрали jdk 5 по умолчанию

 sudo update-alternatives --config java 

И выберите соответствующий вариант.

Убедитесь, что это сработало

 java -version 

Вы должны увидеть что-то вроде этого:

java-версия «1.5.0_22» Java (TM) 2 Runtime Environment, Standard Edition (assembly 1.5.0_22-b03) Java HotSpot (TM) 64-разрядная серверная VM (assembly 1.5.0_22-b03, смешанный режим)

Теперь вы можете запустить файл setup.jar в извлеченном каталоге (istemp …)

 sudo java -jar setup.jar 

Я рекомендую вам выбрать современную java, запустив

 sudo update-alternatives --config java 

снова.